Ingest a Google Drive file or folder by sharing URL
curl --request POST \
--url https://api.example.com/v1/knowledge/ingest/gdrive \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"teams": [],
"tags": []
}
'import requests
url = "https://api.example.com/v1/knowledge/ingest/gdrive"
payload = {
"url": "<string>",
"teams": [],
"tags": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', teams: [], tags: []})
};
fetch('https://api.example.com/v1/knowledge/ingest/gdrive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc_id": "<string>",
"title": "<string>",
"chunks": 123,
"source": "<string>",
"file_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ingest
Ingest a Google Drive file or folder by sharing URL
Given a Google Drive sharing URL, ingest the content into the knowledge base.
- File URL (
/file/d/,/open?id=, Docs/Sheets/Slides): downloads, extracts text, chunks, embeds and persists to Qdrant + Postgres. - Folder URL (
/drive/folders/): lists all non-folder files in the folder, ingests each supported file individually, and returns a summary.
All files must be shared (view access) with the service account email returned
by GET /v1/knowledge/gdrive/info.
POST
/
v1
/
knowledge
/
ingest
/
gdrive
Ingest a Google Drive file or folder by sharing URL
Body
application/json